コンテンツへスキップ

LTX 2.3 Trainer (V2) - Audio-to-Video

統合

モデルID ltx23-trainer-v2/a2v
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-trainer-v2/a2v?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "training_data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $12.00 12,000 APIクレジット このページで実行

APIキーを取得
Lightricks · ファイル

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

resolution デフォルト medium

トレーニング解像度。解像度を上げるとメモリ要件が増加します。

aspect_ratio デフォルト 1:1

トレーニングのアスペクト比。

•必須

選択したトレーニングモードに従って整理されたトレーニングデータを含む `.zip` の URL。各メディアファイルには、同じベース名の `.txt` キャプションを付けられます。

デフォルト 2000

トレーニングステップの総数。

詳細設定 validation_negative_prompt · rank · validation_resolution · validation_aspect_ratio · trigger_phrase · learning_rate · number_of_frames · frame_rate · split_input_duration_threshold · validation_number_of_frames · validation_frame_rate · stg_scale · auto_scale_input · split_input_into_scenes · debug_dataset · audio_normalize · audio_preserve_pitch · validation
デフォルト blurry, out of focus,...

検証中に適用するネガティブプロンプト。検証では 1 段階のプレビュー処理を使用します。この処理は 2 段階の蒸留済み本番推論を近似するため、ガイダンスとプレビュー品質は最終結果と異なります。

rank デフォルト 32

LoRA 適応ランク。値を上げるとメモリ消費が増える代わりに容量が向上します。

validation_resolution デフォルト high

検証中に使用する解像度。

validation_aspect_ratio デフォルト 1:1

検証中に使用するアスペクト比。

デフォルト

LoRA スタイルの有効化フレーズ。トレーニング中にキャプションの先頭へ挿入されます。

デフォルト 0.0002

最適化の学習率。

デフォルト 89

各トレーニングサンプルのフレーム数。8 で割った余りが 1 になる必要があります。例: 1、9、17、25、33、41、49、57、65、73、81、89、97。

デフォルト 24

トレーニング動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。

デフォルト 30

シーン分割のトリガー。秒単位の長さで表し、しきい値より長い動画のみ分割します。

デフォルト 89

各検証動画のフレーム数。

デフォルト 24

検証動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。

デフォルト 1

時空間ガイダンス(STG)スケール。1.0 が推奨値で、0.0 にすると STG を無効にします。

デフォルト []

各プロンプトと条件付け音声トラックを組み合わせた検証プロンプトのリスト。

POST /run/ltx23-trainer-v2/a2v?wait=20 見積もり → $12.00
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx23-trainer-v2/a2v?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "training_data_url": "https://example.com/your-file.zip"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

LTX 2.3 Trainer (V2) - Audio-to-Videoについて

`training_data_url`の`.zip`から音声から動画への生成用LoRAを学習します。`rank`は8~128、`number_of_steps`は100~10000、`number_of_frames`は9~121です。`validation`には最大2件を指定でき、各エントリに条件付け音声トラックを含めます。LoRAウェイト、設定ファイル、任意のプレビューを出力します。

パラメータ

名前型 デフォルト許可される値 説明
training_data_url必須
型string
選択したトレーニングモードに従って整理されたトレーニングデータを含む `.zip` の URL。各メディアファイルには、同じベース名の `.txt` キャプションを付けられます。
rank任意
型enum
デフォルト32
8163264128
LoRA 適応ランク。値を上げるとメモリ消費が増える代わりに容量が向上します。
number_of_steps任意
型integer
デフォルト2000
100 – 10,000
トレーニングステップの総数。
learning_rate任意
型number
デフォルト0.0002
0.000001 – 1
最適化の学習率。
number_of_frames任意
型integer
デフォルト89
9 – 121
各トレーニングサンプルのフレーム数。8 で割った余りが 1 になる必要があります。例: 1、9、17、25、33、41、49、57、65、73、81、89、97。
frame_rate任意
型integer
デフォルト24
8 – 60
トレーニング動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。
resolution任意
型enum
デフォルトmedium
lowmediumhigh
トレーニング解像度。解像度を上げるとメモリ要件が増加します。
aspect_ratio任意
型enum
デフォルト1:1
16:91:19:16
トレーニングのアスペクト比。
trigger_phrase任意
型string
デフォルト
LoRA スタイルの有効化フレーズ。トレーニング中にキャプションの先頭へ挿入されます。
auto_scale_input任意
型boolean
デフォルトfalse
有効にすると、要求された FPS とフレーム数に合わせて動画を自動調整します。画像データセットは変更されません。
split_input_into_scenes任意
型boolean
デフォルトfalse
しきい値を超える合成トレーニング動画のシーン分割。true の場合、開始画像と音声の結合後に分割します。
split_input_duration_threshold任意
型number
デフォルト30
1 – 60
シーン分割のトリガー。秒単位の長さで表し、しきい値より長い動画のみ分割します。
debug_dataset任意
型boolean
デフォルトfalse
完全なトレーニング実行前に動画、画像、キャプションを確認する前処理検査モード。有効にすると、トレーナーが処理済みのトレーニングデータセットを手動確認用のダウンロード可能なアーカイブとして返します。
audio_normalize任意
型boolean
デフォルトtrue
データセット全体でレベルを一定に保つための条件付け音声のピーク正規化。
audio_preserve_pitch任意
型boolean
デフォルトtrue
トリミングやパディングではなく、動画の長さに合わせて音声を調整する際にピッチを保持します。
validation任意
型object[]
デフォルト[]
≤ 2項目
各プロンプトと条件付け音声トラックを組み合わせた検証プロンプトのリスト。
validation[].prompt必須
型string
検証中に使用するプロンプト。
validation[].image_url必須
型url · image
≥ 1 characters
a2v が最初のフレームとして直接使用する画像の URL。フレームを生成する代わりに使用します。a2v の画像+音声 -> 動画処理では、指定した音声と画像の両方を条件付けに使用します。
validation[].audio_url必須
型url · audio
≥ 1 characters
動画生成を駆動する条件付け音声 URL。
validation_negative_prompt任意
型string
デフォルトblurry, out of focus, overexposed, underexposed, low contrast, washed out colors, excessive noise, grainy texture, poor lighting, flickering, motion blur, distorted proportions, unnatural skin tones, deformed facial features, asymmetrical face, missing facial features, extra limbs, disfigured hands, wrong hand count, artifacts around text, inconsistent perspective, camera shake, incorrect depth of field, background too sharp, background clutter, distracting reflections, harsh shadows, inconsistent lighting direction, color banding, cartoonish rendering, 3D CGI look, unrealistic materials, uncanny valley effect, incorrect ethnicity, wrong gender, exaggerated expressions, wrong gaze direction, mismatched lip sync, silent or muted audio, distorted voice, robotic voice, echo, background noise, off-sync audio, incorrect dialogue, added dialogue, repetitive speech, jittery movement, awkward pauses, incorrect timing, unnatural transitions, inconsistent framing, tilted camera, flat lighting, inconsistent tone, cinematic oversaturation, stylized filters, or AI artifacts.
検証中に適用するネガティブプロンプト。検証では 1 段階のプレビュー処理を使用します。この処理は 2 段階の蒸留済み本番推論を近似するため、ガイダンスとプレビュー品質は最終結果と異なります。
validation_number_of_frames任意
型integer
デフォルト89
9 – 121
各検証動画のフレーム数。
validation_frame_rate任意
型integer
デフォルト24
8 – 60
検証動画の目標フレームレート(1 秒あたりのフレーム数)。LTX-2.3 のネイティブレートは 24 です。
validation_resolution任意
型enum
デフォルトhigh
lowmediumhigh
検証中に使用する解像度。
validation_aspect_ratio任意
型enum
デフォルト1:1
16:91:19:16
検証中に使用するアスペクト比。
stg_scale任意
型number
デフォルト1
0 – 3
時空間ガイダンス(STG)スケール。1.0 が推奨値で、0.0 にすると STG を無効にします。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx23-trainer-v2/a2v",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 12000,
    "usd": "12.00",
    "charged": 12000,
    "refunded": 0
  },
  "input": {
    "training_data_url": "https://example.com/your-file.zip"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "lora_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "config_file": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "debug_dataset": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size} | null検証で生成された結合動画プレビュー。動画を生成するエンドポイントで利用可能な場合に提供されます。
audio
object {url, content_type, file_name, file_size} | null検証で生成された結合音声。音声のみの次のルートで利用可能な場合にプレビューとして提供されます: /audio-inpaint、/audio-extend-suffix、/audio-extend-prefix、/t2a、/a2a、/v2a。
lora_file
object {url, content_type, file_name, file_size}.safetensors 形式のトレーニング済み LoRA 重みの URL。
config_file
object {url, content_type, file_name, file_size}推論エンドポイントのセットアップ設定。
debug_dataset
object {url, content_type, file_name, file_size} | null`debug_dataset` が有効な場合に利用できるデバッグ出力。前処理後のトレーニングデータを含むダウンロード可能なアーカイブです。

その他のモデル: トレーニング

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx23-trainer-v2/a2v.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt